summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Docs/manual.texi2
-rw-r--r--include/config-win.h2
-rwxr-xr-xsql-bench/test-insert.sh8
-rw-r--r--sql/item_cmpfunc.cc2
4 files changed, 12 insertions, 2 deletions
diff --git a/Docs/manual.texi b/Docs/manual.texi
index 2d45fa3aeb5..11588bc6f3e 100644
--- a/Docs/manual.texi
+++ b/Docs/manual.texi
@@ -38035,6 +38035,8 @@ though, so 3.23 is not released as a stable version yet.
@appendixsubsec Changes in release 3.23.26
@itemize @bullet
@item
+Fixed that @code{<>} works properly with @code{NULL}.
+@item
Fixed problem with @code{SUBSTRING_INDEX()} and @code{REPLACE()}.
(Patch by Alexander Igonitchev)
@item
diff --git a/include/config-win.h b/include/config-win.h
index 024a708b3b5..3791c337cb3 100644
--- a/include/config-win.h
+++ b/include/config-win.h
@@ -33,7 +33,7 @@
#endif
#ifdef _WIN64
-#define MACHINE_TYPE "i64" /* Define to machine type name */
+#define MACHINE_TYPE "ia64" /* Define to machine type name */
#else
#define MACHINE_TYPE "i32" /* Define to machine type name */
#ifndef _WIN32
diff --git a/sql-bench/test-insert.sh b/sql-bench/test-insert.sh
index a6161781ba9..e6690b043f1 100755
--- a/sql-bench/test-insert.sh
+++ b/sql-bench/test-insert.sh
@@ -867,6 +867,10 @@ if ($server->small_rollback_segment())
if ($limits->{'insert_select'})
{
+ if ($opt_lock_tables)
+ {
+ $sth = $dbh->do("UNLOCK TABLES") || die $DBI::errstr;
+ }
print "\nTesting INSERT INTO ... SELECT\n";
do_many($dbh,$server->create("bench2",
["id int NOT NULL",
@@ -911,6 +915,10 @@ if ($limits->{'insert_select'})
$dbh->disconnect; # close connection
$dbh = $server->connect();
}
+ if ($opt_lock_tables)
+ {
+ $sth = $dbh->do("LOCK TABLES bench1 WRITE") || die $DBI::errstr;
+ }
}
diff --git a/sql/item_cmpfunc.cc b/sql/item_cmpfunc.cc
index 0a75998ffe1..a2686fd43d9 100644
--- a/sql/item_cmpfunc.cc
+++ b/sql/item_cmpfunc.cc
@@ -185,7 +185,7 @@ longlong Item_func_equal::val_int()
longlong Item_func_ne::val_int()
{
int value=(this->*cmp_func)();
- return value != 0 ? 1 : 0;
+ return value != 0 && !null_value ? 1 : 0;
}